Developer Connect API

חיבור של ניהול קוד מקור של צד שלישי ל-Google

שירות: developerconnect.googleapis.com

כדי לשלוח קריאה לשירות הזה, מומלץ להשתמש בספריות הלקוח ש-Google מספקת. אם האפליקציה שלכם צריכה להשתמש בספריות משלכם כדי לבצע קריאה לשירות הזה, השתמשו במידע הבא כשאתם שולחים את בקשות ה-API.

מסמך Discovery

מסמך Discovery הוא מפרט קריא למכונה שמתאר ממשקי API בארכיטקטורת REST ומאפשר להשתמש בהם. הוא משמש ליצירת ספריות לקוח, פלאגינים של IDE וכלים אחרים שמקיימים אינטראקציה עם ממשקי Google API. שירות אחד יכול לספק כמה מסמכי Discovery. השירות הזה מספק את מסמך ה-Discovery הבא:

נקודת קצה של שירות

נקודת קצה של שירות היא כתובת URL בסיסית שמציינת את כתובת הרשת של שירות API. לשירות אחד יכולות להיות כמה נקודות קצה. לשירות הזה יש את נקודת הקצה הבאה, וכל כתובות ה-URI שבהמשך הן יחסיות לנקודת הקצה הזו:

  • https://developerconnect.googleapis.com

משאב REST:‏ v1.projects.locations

Methods
get GET /v1/{name=projects/*/locations/*}
מקבלת מידע על מיקום.
list GET /v1/{name=projects/*}/locations
מציג מידע על המיקומים שנתמכים בשירות הזה.

‫משאב REST:‏ v1.projects.locations.accountConnectors

Methods
create POST /v1/{parent=projects/*/locations/*}/accountConnectors
יצירת AccountConnector חדש בפרויקט ובמיקום נתונים.
delete DELETE /v1/{name=projects/*/locations/*/accountConnectors/*}
מחיקה של AccountConnector אחד.
get GET /v1/{name=projects/*/locations/*/accountConnectors/*}
קבלת פרטים של AccountConnector יחיד.
list GET /v1/{parent=projects/*/locations/*}/accountConnectors
הצגת רשימה של AccountConnectors בפרויקט ובמיקום נתונים.
patch PATCH /v1/{accountConnector.name=projects/*/locations/*/accountConnectors/*}
עדכון הפרמטרים של AccountConnector יחיד.

‫משאב REST:‏ v1.projects.locations.accountConnectors.users

Methods
delete DELETE /v1/{name=projects/*/locations/*/accountConnectors/*/users/*}
מחיקת משתמש אחד.
deleteSelf DELETE /v1/{name=projects/*/locations/*/accountConnectors/*}/users:deleteSelf
מוחקים את המשתמש על סמך פרטי הכניסה שלו.
fetchAccessToken POST /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:fetchAccessToken
אחזור של טוקן גישה מסוג OAuth על סמך פרטי הכניסה של משתמש הקצה.
fetchSelf GET /v1/{name=projects/*/locations/*/accountConnectors/*}/users:fetchSelf
אחזור המשתמש על סמך פרטי הכניסה של המשתמש.
finishOAuthFlow GET /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:finishOAuthFlow
מסיימת את תהליך OAuth של מחבר חשבון.
list GET /v1/{parent=projects/*/locations/*/accountConnectors/*}/users
הצגת רשימת המשתמשים בפרויקט, במיקום וב-account_connector נתונים.
startOAuthFlow GET /v1/{accountConnector=projects/*/locations/*/accountConnectors/*}/users:startOAuthFlow
הפעלת תהליך OAuth למחבר חשבון.

‫משאב REST:‏ v1.projects.locations.connections

Methods
create POST /v1/{parent=projects/*/locations/*}/connections
יצירת חיבור חדש בפרויקט ובמיקום נתונים.
delete DELETE /v1/{name=projects/*/locations/*/connections/*}
מחיקת חיבור אחד.
fetchGitHubInstallations GET /v1/{connection=projects/*/locations/*/connections/*}:fetchGitHubInstallations
‫FetchGitHubInstallations מחזירה את רשימת ההתקנות של GitHub שאפשר להוסיף לחיבור.
fetchLinkableGitRepositories GET /v1/{connection=projects/*/locations/*/connections/*}:fetchLinkableGitRepositories
‫FetchLinkableGitRepositories מחזירה רשימה של מאגרי Git מ-SCM שאפשר להוסיף לחיבור.
get GET /v1/{name=projects/*/locations/*/connections/*}
אחזור פרטים של חיבור יחיד.
list ‫GET /v1/{parent=projects/*/locations/*}/connections
הצגת רשימה של החיבורים בפרויקט ובמיקום נתונים.
patch PATCH /v1/{connection.name=projects/*/locations/*/connections/*}
עדכון הפרמטרים של חיבור אחד.
processGitHubEnterpriseWebhook POST /v1/{parent=projects/*/locations/*}/connections:processGitHubEnterpriseWebhook
‫ProcessGitHubEnterpriseWebhook נקרא על ידי המכונות החיצוניות של GitHub Enterprise כדי להודיע על אירועים.

משאב REST:‏ v1.projects.locations.insightsConfigs

Methods
create POST /v1/{parent=projects/*/locations/*}/insightsConfigs
יצירת InsightsConfig חדש בפרויקט ובמיקום נתונים.
delete DELETE /v1/{name=projects/*/locations/*/insightsConfigs/*}
מחיקת תובנה אחת.
get GET /v1/{name=projects/*/locations/*/insightsConfigs/*}
אחזור פרטים של תובנה אחת.
list ‫GET /v1/{parent=projects/*/locations/*}/insightsConfigs
הצגת רשימה של InsightsConfigs בפרויקט ובמיקום נתונים.
patch PATCH /v1/{insightsConfig.name=projects/*/locations/*/insightsConfigs/*}
עדכון הפרמטרים של InsightsConfig יחיד.

‫משאב REST:‏ v1.projects.locations.insightsConfigs.deploymentEvents

Methods
get GET /v1/{name=projects/*/locations/*/insightsConfigs/*/deploymentEvents/*}
הצגת אירוע פריסה אחד.
list GET /v1/{parent=projects/*/locations/*/insightsConfigs/*}/deploymentEvents
הצגת רשימה של אירועי פריסה בהגדרת תובנות נתונה.

משאב REST:‏ v1.projects.locations.operations

Methods
cancel POST /v1/{name=projects/*/locations/*/operations/*}:cancel
התחלת ביטול אסינכרוני של פעולה ממושכת.
delete DELETE /v1/{name=projects/*/locations/*/operations/*}
מחיקת פעולה ממושכת.
get GET /v1/{name=projects/*/locations/*/operations/*}
אחזור המצב האחרון של פעולה ממושכת.
list GET /v1/{name=projects/*/locations/*}/operations
הצגת רשימה של פעולות שתואמות למסנן שצוין בבקשה.